# Assembling all all-sky maps for a given latitude to a single pdf
#  The dates have been written manually, it might be nice to produce them 
#  by adapting the allsky.sh script

# each new year, the sets of dates and of *.pdf for pdftk, below, are to be renewed. 
#  By dates.txt and by MonDaLat.txt

LC_ALL="C"

Ye=2023

mkdir latitudes

cd latitudes

 for L in 50s 40s 30s 20s 10s 0 10 20 30 40 50 60
 do

  LA=${L}A
  
  mkdir $L 
  cd $L

#  for ZE in 25 40
#  do 

for MoDa in \
01-18 \
02-17 \
03-18 \
04-17 \
05-16 \
06-14 \
07-13 \
08-12 \
09-10 \
10-09 \
11-08 \
12-08

do
 Mo=${MoDa/-[0-9][0-9]}
 Da=${MoDa/[0-9][0-9]-}
#echo $Mo $Da

MoNDa=`date --date=$Ye-$MoDa +%b%d`
#echo ${MoNDa}*.pdf \\ >>MonDa.txt

  
    if [ -f ../../$MoNDa/A/$LA.pdf ] 
    then
    ln -s ../../$MoNDa/A/$LA.pdf  ${MoNDa}${LA}.pdf 
    fi
done
  
   pdftk \
Jan18${LA}.pdf \
Feb17${LA}.pdf \
Mar18${LA}.pdf \
Apr17${LA}.pdf \
May16${LA}.pdf \
Jun14${LA}.pdf \
Jul13${LA}.pdf \
Aug12${LA}.pdf \
Sep10${LA}.pdf \
Oct09${LA}.pdf \
Nov08${LA}.pdf \
Dec08${LA}.pdf \
cat output ${LA}.pdf

    rm \
Jan18${LA}.pdf \
Feb17${LA}.pdf \
Mar18${LA}.pdf \
Apr17${LA}.pdf \
May16${LA}.pdf \
Jun14${LA}.pdf \
Jul13${LA}.pdf \
Aug12${LA}.pdf \
Sep10${LA}.pdf \
Oct09${LA}.pdf \
Nov08${LA}.pdf \
Dec08${LA}.pdf 

  cd ..

 done

cd ..
