#!/bin/bash

# Here the dates are written numerically manually, and MMMDD names are 
# written into two auxiliary files - these are then edited into further scripts
#  for producing pdftk outputs

LC_ALL="C"

Ye=2023

rm MonDa.txt
rm MonDaLat.txt

for MoDa in \
01-18 \
02-17 \
03-18 \
04-17 \
05-16 \
06-14 \
07-13 \
08-12 \
09-10 \
10-09 \
11-08 \
12-08



do
 Mo=${MoDa/-[0-9][0-9]}
 Da=${MoDa/[0-9][0-9]-}
echo $Mo $Da

MoNDa=`date --date=$Ye-$MoDa +%b%d`
echo ${MoNDa}*.pdf \\ >>MonDa.txt
echo ${MoNDa}\${LA}.pdf \\ >>MonDaLat.txt

done
